Bug 26289 - Deleting biblio in labeled MARC view doesn't work
Summary: Deleting biblio in labeled MARC view doesn't work
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-24 15:19 UTC by Joonas Kylmälä
Modified: 2020-09-04 20:43 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26289: Add missing variable definition to templates (2.74 KB, patch)
2020-08-24 16:53 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26289: Add missing variable definition to templates (2.16 KB, patch)
2020-08-25 19:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26289: Add missing variable definition to templates (2.21 KB, patch)
2020-08-26 15:08 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 26289: Add missing variable definition to templates (2.28 KB, patch)
2020-08-26 18:44 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Joonas Kylmälä 2020-08-24 15:19:43 UTC
How to reproduce:

1) Create a new biblio with no items
2) Enable syspref viewLabeledMARC, 
4) Go to Labeled MARC tab in biblio details page 
5) Click Edit -> Delete record and notice nothing happens. Then check with developer tools the Javascript errors and notice "Uncaught ReferenceError: searchid is not defined"

Expected result: deletion should work.
Comment 1 Owen Leonard 2020-08-24 16:53:51 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2020-08-25 19:39:30 UTC
Created attachment 109130 [details] [review]
Bug 26289: Add missing variable definition to templates

This patch puts definition of the missing "searchid" variable into an
include file to be used by various bibliographic detail pages. The
variable is required by several JavaScript functions.

To test, apply the patch and locate or create a record with no items.
Open the labeled MARC view and choose Edit -> Delete record. Confirm the
deletion. The deletion should complete correctly.

Perform the same test with the detail view, ISBD view,  MARC view, and
items view.
Comment 3 Amit Gupta 2020-08-26 15:08:37 UTC
Created attachment 109187 [details] [review]
Bug 26289: Add missing variable definition to templates

To test
Apply the patch and locate or create a record with no items.
Open the labeled MARC view and choose Edit -> Delete record. Confirm the
deletion. The deletion should complete correctly.

------------
Worked perfectly.
Comment 4 Katrin Fischer 2020-08-26 18:44:02 UTC
Created attachment 109190 [details] [review]
Bug 26289: Add missing variable definition to templates

This patch puts definition of the missing "searchid" variable into an
include file to be used by various bibliographic detail pages. The
variable is required by several JavaScript functions.

To test, apply the patch and locate or create a record with no items.
Open the labeled MARC view and choose Edit -> Delete record. Confirm the
deletion. The deletion should complete correctly.

Perform the same test with the detail view, ISBD view,  MARC view, and
items view.

Signed-off-by: Amit Gupta <amit.gupta@informaticsglobal.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2020-08-31 14:21:19 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-09-04 20:43:34 UTC
doesnt apply clean to 20.05.x, no backport